summaryrefslogtreecommitdiff
path: root/Ports
diff options
context:
space:
mode:
authorTim Schumacher <timschumi@gmx.de>2022-09-16 19:59:41 +0200
committerAli Mohammad Pur <Ali.mpfard@gmail.com>2022-09-18 13:00:46 +0430
commit4d294897055388a80bc3a5809197642fdd7af03d (patch)
tree412b5932e19caa5daba6f544c0650db23f310269 /Ports
parente6ef3668597111baa017abc3e987dec170191db5 (diff)
downloadserenity-4d294897055388a80bc3a5809197642fdd7af03d.zip
Ports: Keep `[...]` prefixes while importing patches
This stops us from mangling our LLVM patch names and titles when using `./package.sh dev`, as they like to put their category names in square brackets.
Diffstat (limited to 'Ports')
-rwxr-xr-xPorts/.port_include.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/Ports/.port_include.sh b/Ports/.port_include.sh
index cc100396d4..e94b377e43 100755
--- a/Ports/.port_include.sh
+++ b/Ports/.port_include.sh
@@ -734,7 +734,7 @@ do_dev() {
fi
echo "Importing patch $(basename "${patch}")..."
- git am --keep-cr "$patch" >/dev/null 2>&1 || {
+ git am --keep-cr --keep-non-patch "$patch" >/dev/null 2>&1 || {
git am --abort >/dev/null 2>&1 || true
if git apply < $patch; then
git add -A